import { useTranslations } from "next-intl";

import Progressbar from "@/components/common/progress-bar";

const ProgressInformation = ({ user }: { user: any }) => {
	const t = useTranslations("UserAccount");

	return (
		<div className="mt-12 lg:mt-24">
			<Progressbar
				progress={user?.profile_completion}
				progressColor="#11B981"
				leftText={t("informationComplete")}
				rightText={`${user?.profile_completion ?? 0}%`}
				className="mb-9 w-full text-[#9499A1] lg:w-80"
			/>
			<Progressbar
				progress={user?.pool_completion}
				progressColor="#2895C8"
				leftText={`${t("PoolComplete")}`}
				rightText={user?.pool_completion ? `${user?.pool_completion}%` : t("NotDesigned")} // BackToTheProgram
				isLink={true}
				rightTextColor="#2895C8"
				className="w-full text-[#9499A1] lg:w-80"
			/>
		</div>
	);
};

export default ProgressInformation;
